import { Provider } from './provider.js';
import { State } from './state.js';
/**
 * @inheritDoc
 * This specialization is always a Singleton.
 */
export declare class ConstantProvider<T> extends Provider<T> {
    constructor(constant: T);
    provideAsState(): State<T>;
}
